<?php

require_once INTENSE_PLUGIN_FOLDER .  '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Music extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Music', 'intense' );
		$this->description = __( 'Show off your music with numerous different layouts. Use any of the templates provided for the Blog shortcode, or create your own templates.', 'intense' );
		$this->custom_post_type = 'intense_music';
		$this->taxonomy = 'intense_music_artist';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "intense_music";

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "intense_music_artist";

		return parent::shortcode( $atts, $content );
	}
}